package edu.ucsc.its.temerity.shared.ui.elements

import androidx.compose.foundation.isSystemInDarkTheme
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.width
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.unit.Dp
import androidx.compose.ui.unit.dp
import edu.ucsc.its.temerity.shared.ui.theme.DarkTheme
import edu.ucsc.its.temerity.shared.ui.theme.LightTheme

@Composable
fun PreviewThemeWrapper(height: Dp = 480.dp, width: Dp = 640.dp, content: @Composable () -> Unit) {
    val AppTheme = if (isSystemInDarkTheme()) DarkTheme else LightTheme
    AppTheme {
        Box(Modifier.apply {
            height(height)
            width(width)
        }) {
            content()
        }
    }
}